> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a contract's stage

> Update a contract's stage



## OpenAPI

````yaml /api-reference/bundled.yaml put /v0/contract/{id}/stage
openapi: 3.1.0
info:
  title: Gable API
  description: >
    API to interact with the Gable platform

    ## Authorization

    All API requests require an API key to be passed in the `X-API-KEY` header.
    For instructions on finding your API key and api endpoint check out the [API
    Key documentation](../docs/api-keys.md).

    Example: `curl -H "X-API-KEY: <your-api-key>"
    https://api-{organization}.gable.ai/v0/ping`
  contact:
    name: Gable Engineering
    url: https://gable.ai
    email: engineers@gable.ai
  version: 1.28.0
servers:
  - url: https://{hostname}.gable.ai
    description: Gable API
    variables:
      hostname:
        default: demo-api
        description: Customer environment assigned by Gable
security:
  - ApiKeyAuth: []
tags:
  - name: action
  - name: api-keys
  - name: auth
  - name: changelog
  - name: config
  - name: contract
  - name: data-asset
  - name: debug
  - name: s3
  - name: settings
  - name: slack
  - name: sso
  - name: webhook
  - name: notifications
  - name: constraints
  - name: telemetry
  - name: component
  - name: components
  - name: sca
  - name: cross-service-components
  - name: lineage
  - name: events
  - name: measurements
  - name: defect-report
  - name: experimental
paths:
  /v0/contract/{id}/stage:
    put:
      tags:
        - contract
      summary: Update a contract's stage
      description: Update a contract's stage
      operationId: putContractStage
      parameters:
        - name: id
          in: path
          required: true
          description: Contract ID
          schema:
            type: string
            format: uuid
      requestBody:
        description: Contract stage update
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PutContractStageRequest'
      responses:
        '200':
          description: Contract stage updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PutContractStageResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Contract not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    PutContractStageRequest:
      type: object
      required:
        - contractStage
      properties:
        contractStage:
          type: string
          enum:
            - ACTIVE
            - DEPRECATED
            - DRAFT
            - ARCHIVED
          description: The new contract stage for the contract
    PutContractStageResponse:
      type: object
      required:
        - message
        - contractId
      properties:
        message:
          type: string
          description: Success message or information about the operation
        contractId:
          type: string
          format: uuid
          description: The ID of the contract that was updated
    ErrorResponse:
      type: object
      required:
        - message
      properties:
        id:
          type: number
        title:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````